package com.openosrs.client.scripting;

import java.util.ArrayList;
import java.util.List;

/**
 * Script metadata.
 */
public class ScriptMetadata {
    private final String name;
    private final String description;
    private final String author;
    private final String version;
    private final List<String> categories;
    
    public ScriptMetadata(String name, String description, String author, String version, List<String> categories) {
        this.name = name;
        this.description = description;
        this.author = author;
        this.version = version;
        this.categories = new ArrayList<>(categories);
    }
    
    public String getName() { return name; }
    public String getDescription() { return description; }
    public String getAuthor() { return author; }
    public String getVersion() { return version; }
    public List<String> getCategories() { return new ArrayList<>(categories); }
}